Bug 1184273 - Minor issue with shutdown/reboot on HP Pavilion x360
Summary: Minor issue with shutdown/reboot on HP Pavilion x360
Keywords:
Status: CLOSED DUPLICATE of bug 1313296
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 21
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Andy Shevchenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1240922 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-20 22:43 UTC by arthurfiggis
Modified: 2016-08-10 16:14 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 07:43:00 UTC
Type: Bug


Attachments (Terms of Use)
HACK! Really hackish fix for the issue (4.54 KB, patch)
2015-08-25 08:32 UTC, Andy Shevchenko
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Linux Kernel 101271 0 None None None 2016-08-10 16:14:05 UTC

Description arthurfiggis 2015-01-20 22:43:07 UTC
Description of problem:

On the 11" model of the HP Pavilion x360 (a touch-screen, Windows 8.1-based laptop), Fedora 21 and a number of other releases of Linux distributions have one small problem...everything else seems to work flawlessly, touchscreen included, but when attempting to shut down or reboot the system, things simply freeze up at the bootsplash screen and the laptop has to be powered off manually.

In a thread that was reporting on a similar bug for Ubuntu it mentioned that blacklisting a module dw_dmac rectified the problem in Ubuntu 14.10...I gave it a try with Fedora 21 and sure enough things worked perfectly. If added as a kernel parameter when starting up Fedora Live it even works for the live CD/USB stick. This can only be considered a workaround as it might have some unexpected behaviour, but as it worked for me I figured I'd mention it here!

Version-Release number of selected component (if applicable):

Fedora 21 (x86-64), kernel version Linux xxxxxx 3.17.8-300.fc21.x86_64

How reproducible:

- can be reproduced any time one tries to shutdown or reboot the laptop...problem apparently goes away permanently when the above module, dw_dmac, is blacklisted

Additional info:

Available upon request!

Comment 1 arthurfiggis 2015-01-25 13:43:18 UTC
As an update to this bug, in the case of Fedora 21 at least, blacklisting the module alone doesn't seem to eliminate all the problems with the Pavilion x360...though the laptop will now reliably shut down and restart, it still frequently freezes up at the bootsplash screen when loading and you have to hard-restart the laptop in order to get it going. Once you do get things started abrt will report three or four kernel "oops" messages being recorded...I don't have the output of one on hand at the moment (had to reinstall Windows 8.1 to post this) but they mostly mentioned issues with "tainted" modules that may or may not be related.

In either case it seems that Fedora 21 (and other distributions I've tried) are not working well at all on the Pavilion x360 laptop, it may take more work than blacklisting the module I mentioned previously in order to get it working but it does seem related to the shutdown/restart issue at least.

Comment 2 Justin M. Forbes 2015-01-27 14:59:15 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 21 kernel bugs.

Fedora 21 has now been rebased to 3.18.3-201.fc21.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 3 arthurfiggis 2015-01-28 13:22:48 UTC
I'm not sure when I'll have a chance to flatten the laptop again to install F21 and test the new kernel version, but when I do I'll post the results here... If there is any live media of (say) an alpha of F22 or a respin of F21 that is using the new kernel I could certainly give that a try, see if the freeze-up on shutdown/reboot issue is fixed...the freeze-ups on boot seem less predictable.

Comment 4 Fernando Lozano 2015-03-21 17:32:31 UTC
I have such computer running Fedora 22. It did install from one of the beta medias but won't install from the released install media. After a later Kernel update it did boot again (I kept running the older kernel until this happened).

The poweroff / shutdown issue remains. I have to force-off using the power off button after shutdown. And it frequently locks up during boot. Havent' tried blacklisting dw_dmac yet.

Wifi also works erraticaly, but this happen with windows 8.1 also (dual boot using EFI) I suspect the internal wifi card is not good.

Comment 5 Fernando Lozano 2015-03-23 15:52:50 UTC
Blacklisting dw_dmac and dw_dmac_core solved the shutdown issue for me. And I can't yet tell it's a coincidence, but lookups at boot and wifi instability didn't happened again after that.

Comment 6 Fedora Kernel Team 2015-04-28 18:29:48 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 21 kernel bugs.

Fedora 21 has now been rebased to 3.19.5-200.fc21.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 22, and are still experiencing this issue, please change the version to Fedora 22.

If you experience different issues, please open a new bug report for those.

Comment 7 Fernando Lozano 2015-04-29 11:48:27 UTC
It's already present. Will all fedora 21 updates at 2015-04-29 I still need to blacklist dw_dmac and dw_dmac_core to get a proper shutdown, else power won't go off.

Comment 8 Fernando Lozano 2015-04-29 11:51:57 UTC
Don't know if it's related, but wifi instability remains. And more strange, battery seems to drown while powered off (by Linux shutdown) with dw_dmac modules blacklisted.

Comment 9 Matthias31 2015-07-08 07:46:43 UTC
additional i've created a bug with the same problem

https://bugzilla.redhat.com/show_bug.cgi?id=1240922

Comment 10 Matthias31 2015-07-09 16:00:25 UTC
D this to fix the Problem:
echo "blacklist dw_dmac" | sudo tee -a /etc/modprobe.d/blacklist.conf
echo "blacklist dw_dmac_core" | sudo tee -a /etc/modprobe.d/blacklist.conf

and the Bug is gone :-)

Comment 11 Josh Boyer 2015-07-09 17:55:56 UTC
*** Bug 1240922 has been marked as a duplicate of this bug. ***

Comment 12 Andy Shevchenko 2015-08-25 08:32:35 UTC
Created attachment 1066779 [details]
HACK! Really hackish fix for the issue

While we are working on more or less proper and upstreamable solution anyone can try the attached hack (it requires recent update of pmc_atom driver frop tip tree).

Comment 13 Fedora End Of Life 2015-11-04 15:24:34 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-12-02 07:43:07 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 15 Andy Shevchenko 2015-12-02 10:06:20 UTC
Add an URL to Linux kernel bugzilla for a reference. The fix has been submitted for review: http://www.spinics.net/lists/dmaengine/msg07290.html.

Comment 16 Andy Shevchenko 2016-03-01 11:51:14 UTC

*** This bug has been marked as a duplicate of bug 1313296 ***


Note You need to log in before you can comment on or make changes to this bug.